<template>
   <web-view :src="src" bindload='pageLoad'></web-view>
</template>

<script>
export default {
  name: 'h5Page',
  props: {
    src: {
      type: [String]
    }
  },
  methods: {
    pageLoad (){
       uni.hideLoading()
    }
  },
  onHide() {
  },
  onUnload() {
  },
  onShow() {
  },
  onLoad(options) {
     uni.showLoading({
       title: '加载中',
     })
     console.log(options.src)
     this.src = options.src

     setTimeout(function() {
       uni.hideLoading()
     }, 5000);
  }
};
</script>

<style lang="stylus">

</style>
